from abc import ABCMeta

from commands.command_base import AbstractCommand

import utilities_script as utility

class Command_test_v2(AbstractCommand, metaclass=ABCMeta):
    """
    this is the test command.
    """
    command = "testerino"

    def __init__(self):
        super().__init__(Command_test_v2.command, n_args=1, command_type=AbstractCommand.CommandType.Ver2)
        self.help = ["This is a test command.",
        "\nExample:","testerino"]
        self.isCommandEnabled = True

    def do_command(self, source = AbstractCommand.CommandSource.default, user = "User",  command = "", rest = "", bonusData = None):
        returnString = user + " sent: [ " + command + " ] with: " + rest
        #print(returnString)
        return returnString

    def get_help(self):
        return self.help